com.google.gwt.editor.client.testing

## Class MockEditorError

- java.lang.Object
- - com.google.gwt.editor.client.testing.MockEditorError

- All Implemented Interfaces:
    EditorError

      public class MockEditorError
      extends java.lang.Object
      implements EditorError

  A trivial implementation of `EditorError`. Most methods return `null`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MockEditorError()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAbsolutePath()` Returns the absolute path location of the error, relative to the object that was passed into the EditorDriver.
    `Editor<?>` | `getEditor()` Returns the Editor that holds the invalid value.
    `java.lang.String` | `getMessage()` Returns a message associated with the error.
    `java.lang.String` | `getPath()` Returns the path of the error relative to the Editor receiving the error.
    `java.lang.Object` | `getUserData()` Returns the object passed into `EditorDelegate.recordError(java.lang.String, java.lang.Object, java.lang.Object)`.
    `java.lang.Object` | `getValue()` Returns the value that triggered the error.
    `boolean` | `isConsumed()` Always returns `false`.
    `void` | `setConsumed(boolean consumed)` No-op.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MockEditorError

          public MockEditorError()

  - ### Method Detail

    - #### getAbsolutePath

          public java.lang.String getAbsolutePath()

      Description copied from interface: `EditorError`
      Returns the absolute path location of the error, relative to the object that was passed into the EditorDriver.
      Specified by:
        `getAbsolutePath` in interface `EditorError`
      Returns:
        the absolute path as a String

    - #### getEditor

          public Editor<?> getEditor()

      Description copied from interface: `EditorError`
      Returns the Editor that holds the invalid value.
      Specified by:
        `getEditor` in interface `EditorError`
      Returns:
        the Editor instance

    - #### getMessage

          public java.lang.String getMessage()

      Description copied from interface: `EditorError`
      Returns a message associated with the error.
      Specified by:
        `getMessage` in interface `EditorError`
      Returns:
        the error message as a String

    - #### getPath

          public java.lang.String getPath()

      Description copied from interface: `EditorError`
      Returns the path of the error relative to the Editor receiving the error. If the error concerns the Editor that is receiving the error, this method will return an empty string.
      Specified by:
        `getPath` in interface `EditorError`
      Returns:
        the error path as a String

    - #### getUserData

          public java.lang.Object getUserData()

      Description copied from interface: `EditorError`
      Returns the object passed into `EditorDelegate.recordError(java.lang.String, java.lang.Object, java.lang.Object)`.
      Specified by:
        `getUserData` in interface `EditorError`
      Returns:
        the user data Object

    - #### getValue

          public java.lang.Object getValue()

      Description copied from interface: `EditorError`
      Returns the value that triggered the error.
      Specified by:
        `getValue` in interface `EditorError`
      Returns:
        the error value Object

    - #### isConsumed

          public boolean isConsumed()

      Always returns `false`.
      Specified by:
        `isConsumed` in interface `EditorError`
      Returns:
        `true` if the error will not be propagated
      See Also:
        `EditorError.setConsumed(boolean)`

    - #### setConsumed

          public void setConsumed(boolean consumed)

      No-op.
      Specified by:
        `setConsumed` in interface `EditorError`
      Parameters:
        `consumed` - `true` if the error will not be propagated
      See Also:
        `EditorError.isConsumed()`